%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-ki18n
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Advanced internationalization framework

License:        LGPL-2.0-or-later AND (LGPL-2.0-only OR LGPL-3.0-only)
URL:            https://invent.kde.org/frameworks/ki18n
Source0:        https://download.kde.org/stable/frameworks/6.24/ki18n-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  python3-devel

%description
KI18n provides mechanisms to localize applications using gettext-like message 
catalogs.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt6-qtbase-devel
Requires:       gettext
Requires:       python3

%description    devel
Development files for %{name}.

%prep
%autosetup -n ki18n-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang ki18n6 --all-name

%files -f ki18n6.lang
%license LICENSES/*
%{_libdir}/libKF6I18n.so.*
%{_libdir}/libKF6I18nLocaleData.so.*
%{_libdir}/libKF6I18nQml.so.*
%{_libdir}/qt6/plugins/kf6/ktranscript.so
%{_libdir}/qt6/qml/org/kde/ki18n/
%{_libdir}/qt6/qml/org/kde/i18n/localeData/
%{_datadir}/locale/*/LC_SCRIPTS/ki18n6/
%{_datadir}/qlogging-categories6/ki18n.categories
%{_datadir}/qlogging-categories6/ki18n.renamecategories

%files devel
%{_includedir}/KF6/KI18n/
%{_includedir}/KF6/KI18nLocaleData/
%{_libdir}/libKF6I18n.so
%{_libdir}/libKF6I18nLocaleData.so
%{_libdir}/libKF6I18nQml.so
%{_libdir}/cmake/KF6I18n/

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Initial release of kf6-ki18n 6.24.0
